# QIntValidator Class Reference

### [com.trolltech.qt.gui package]

Inherits QValidator.

### Constructor

- void QIntValidator(QObject parent)
- void QIntValidator(int bottom, int top, QObject parent)

### Constructor Properties

- prototype: The QIntValidator prototype object

### Prototype Object Properties

The QIntValidator prototype object inherits properties from the QValidator prototype object and also has the following properties.

- void setRange(int bottom, int top)

### Instance Properties

QIntValidator objects inherit properties from the QIntValidator prototype object and also have the following properties.

- bottom
- top